expect_length {testthat} | R Documentation

## Expectation: does a vector have the specified length?

### Description

Expectation: does a vector have the specified length?

### Usage

    expect_length(object, n)

### Arguments

`object` | Object to test. Supports limited unquoting to make it easier to generate readable failures within a function or for loop. See quasi_label for more details.
`n` | Expected length.

### See Also

Other expectations: `comparison-expectations`, `equality-expectations`, `expect_match`, `expect_named`, `expect_null`, `inheritance-expectations`, `logical-expectations`, `output-expectations`

### Examples

    expect_length(1, 1)
    expect_length(1:10, 10)

    ## Not run:
    expect_length(1:10, 1)

    ## End(Not run)

[Package testthat version 2.1.1 Index]